{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isSetOwnedElements()Z",
  "numberOfDefinitions": 6,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isSetAttributes()Z": 6,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.isSetOwnedMembers()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/StereotypeOperations.getProfile(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/uml2/uml/Profile;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.isSetIsReentrant()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isSetIsAbstract()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetOwnedTemplateSignature()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.isSetRedefinitionContexts()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/DeploymentTargetOperations.getDeployedElements(Lorg/eclipse/uml2/uml/DeploymentTarget;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetRedefinitionContexts()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/operations/ComponentOperations.getRequireds(Lorg/eclipse/uml2/uml/Component;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.basicGetContext()Lorg/eclipse/uml2/uml/BehavioredClassifier;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetRedefinedElements()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetVisibility()Z": 6,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isSetGenerals()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/operations/ComponentOperations.getProvideds(Lorg/eclipse/uml2/uml/Component;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getParts()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.isSetOwnedMembers()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.isSetMembers()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetTemplateParameter()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetNamespace()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.isSetExtendedStateMachines()Z": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isSetOwnedElements()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetPackage()Lorg/eclipse/uml2/uml/Package;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 2,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.isSetRoles()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.isSetRedefinedBehaviors()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isSetFeatures()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isSetOwnedAttributes()Z": 6,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicIsSet(I)Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getInheritedMembers()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getExtensions()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isSetOwnedMembers()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isSetSuperClasses()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isSetName()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/EncapsulatedClassifierImpl.getOwnedPorts()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isSetOwner()Z": 6,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 6
  }
}